{% set wrapper_attributes = {"class": ["usa-time-picker"]} %}
{% if min_date %}
  {% set wrapper_attributes = wrapper_attributes|set_attribute("data-min-date", min_date) %}
{% endif %}
{% if max_date %}
  {% set wrapper_attributes = wrapper_attributes|set_attribute("data-max-date", max_date) %}
{% endif %}
{% if data_step %}
  {% set wrapper_attributes = wrapper_attributes|set_attribute("data-step", 15) %}
{% endif %}
{% if data_filter %}
  {% set wrapper_attributes = wrapper_attributes|set_attribute("data-filter", data_filter) %}
{% endif %}
{% if disabled %}
  {% set wrapper_attributes = wrapper_attributes|set_attribute("disabled", "true") %}
{% endif %}
{% if default_value %}
  {% set attributes = attributes|set_attribute("disabled", "true") %}
{% endif %}
{% if hint %}<div class="usa-hint" id="appointment-date-hint">{{ hint }}</div>{% endif %}
<div {{ wrapper_attributes }}>
  <input {{ attributes|add_class("usa-input") }} />
</div>
